GET /calls/stats

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/calls/stats

Get call statistics by category and interval

Get call counts and statistics broken out by category and by time interval (for example hourly or daily buckets), suitable for charting call volume over time. The group_by category must be one your account is permitted to use.

Params

Param name Description
group_by
Required

Group calls by one of these attributes.

  • Must be one of: buyer_converted, offer_converted, status, created_at_five_minutes, created_at_day, created_at_week, created_at_month.

stat
Required

Return statistics on the grouped calls by one of these numeric columns.

  • Must be one of: count, revenue, profit, cost.

created_at_to
Required

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

created_at_from
Required

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

page
Optional

Return the next page of results.

  • Must be a number.

offer_repeat_caller
Optional

Match calls where the Traffic Source had a repeat caller.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

buyer_repeat_caller
Optional

Match calls where the Buyer had a repeat caller.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

buyer_converted
Optional

Did the buyer convert?

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

offer_converted
Optional

Did the traffic source convert?

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

in_progress
Optional

Match calls that are on-going

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

placed_on_hold
Optional

Was the call placed on hold?

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

has_recording
Optional

Match calls that have a recording.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

either_converted
Optional

Whether this call’s buyer or traffic source has converted.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

buyer_conversion_duplicated_call
Optional

Match calls where the callerID was a duplicate against the Buyer’s conversion settings.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

offer_conversion_duplicated_call
Optional

Match calls where the callerID was a duplicate against the Traffic Source’s conversion settings.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

no_buyer
Optional

Match calls that didn’t connect to a Buyer

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

token_key
Optional

Calls that are tagged with this token will be matched. EG: token_key=buyer_id will return all calls that have a buyer_id token.

  • Must be a String

token_value
Optional

Will match calls that are tagged with a token:value. EG: token_key=buyer_id:12345 will return all calls that have a buyer_id token with the value set to 12345.

  • Must be a String

order
Optional

Sort results by this field.

  • Must be one of: direction, updated_at, start_app_duration, number_id, offer_id, traffic_source_id, sub_id, buyer_id, caller_number, updated_at, total_duration, hold_duration, ivr_duration, third_party_cost, charge_total, answered_duration, agent_duration, status, buyer_converted, revenue, offer_converted, payout, outgoing_webhooks_count, created_at, end_time, lead_id.

order_dir
Optional

Sort results in ascending or descending order.

  • Must be one of: desc, asc.

number_id
Optional

Refer to the number api for details

  • Must be a decimal number.

offer_id
Optional

Refer to the offer api for details

  • Must be a decimal number.

schedule_id
Optional

Schedule internal id.

  • Must be a decimal number.

traffic_source_id
Optional

Refer to the traffic source api for details

  • Must be a decimal number.

buyer_id
Optional

Refer to the buyer api for details

  • Must be a decimal number.

buyer_group_ids
Optional

Buyer Group Internal ids.

  • Must be a decimal number.

ring_pool_id
Optional

Refer to the Number Pool api for details

  • Must be a decimal number.

id
Optional

An Integer number eg: 12345

  • Must be a decimal number.

provider_configuration_id
Optional

Refer to the provider api for details

  • Must be a decimal number.

contact_id
Optional

Match calls that were placed by this caller.

  • Must be a decimal number.

status
Optional

Match results that have this status.

  • Must be a String

ended_at_to
Optional

Date formatted like 2016-01-01 12:00:15 -0500

  • Must be a String

ended_at_from
Optional

Date formatted like 2016-01-01 12:00:15 -0500

  • Must be a String